// Copyright 2023 Harran Ali <harran.m@gmail.com>. All rights reserved.
// Copyright (c) 2024 Zeni Kim <zenik@smarteching.com>
// Use of this source code is governed by MIT-style
// license that can be found in the LICENSE file.

package main

import (
	"git.smarteching.com/goffee/core"
	"git.smarteching.com/goffee/cup/models"
)

func RunAutoMigrations() {
	db := core.ResolveGorm()
	//##############################
	//# Models auto migration  #####
	//##############################

	// Add auto migrations for your models here...
	db.AutoMigrate(&models.User{})
}
